#include "gt/gtall.h"

int QuitCB(GtBase *obj,GtCDPtr cd,GtUDPtr ud)
{
	obj=obj;
	cd=cd;
	((GtApp *)ud)->BreakLoop();
	return(GTCB_CONT);
}

int main(int argc,char **argv)
{
	GtApp *app;
	GtAppDisp *dsp;
	GtAppShell *shell;
	GtLabel *lab;
	GtGroup *g;
	GtFrame *f;
	
	app=GtMkApp(NULL);
	app->SetupRes(&argc,argv);
	dsp=GtMkAppDisp(app,NULL);
	shell=GtMkAppShell("shell",(GtManager *)dsp,
		GT_XSize,300,
		GT_YSize,200,
		GT_DONE);
	shell->AddCB(GT_Close,QuitCB,app);
	g=GtMkGroup("grp",shell,NULL);
	f = GtMkFrame("hfrm",g,NULL);
	lab=GtMkLabel("hello",f,GT_MinXSize,200,GT_DONE);
	f = GtMkFrame("wfrm",g,NULL);
	lab=GtMkLabel("world",f,NULL);
printf("Build\n");
	shell->Build();
printf("Built\n");
	app->EventLoop(GTAM_LOOP);
printf("Done\n");
	GtDestroy(app);
}
